Assignee: Óscar Martínez
Category:
gvSIG build: Add-on resolve version:
Description

En los favoritos que tengo aparece el año campo calculado con decimales (antes no). Si le cambias la precisión sigue apareciendo el
año con decimales.

Expresión:
EXTRACT

Parece que en Linux no ocurre esto. Falta de comprobar mejor.

History
#1 - 10/29/2021 07:18 PM - Óscar Martínez

Este error aparece cuando se realiza una búsqueda donde la agrupación consta del campo calculado AÑO. Por ejemplo en: T13-AC Peatones Solo
trabajadores 2018.
Cuando aparece como un campo calculado en una tabla sin agrupación se muestra el valor correctamente.

#2 - 10/29/2021 10:07 PM - Óscar Martínez

También ocurre cuando utilizamos una formula del estilo EXTRACT) desde la tabla de Vehículos, por ejemplo.

#3 - 10/29/2021 10:16 PM - Óscar Martínez

Este decimal se gana teniendo el tipo de la columna como Integer, es cuando se produce el cambio. Una solución parcial es establecer un tipo
Decimal y decir que se quiere de escala 0

#4 - 11/10/2021 08:46 PM - Óscar Martínez
- Target version set to 2.6.0-3240
- Status changed from New to Fixed

#5 - 12/13/2022 01:05 PM - Álvaro Anguix
- Status changed from Fixed to Closed
Files
guest@BOOKMARKS!SearchPanel!T02-AC Trafico y Accidentallidad por años19.8 KB 10/28/2021 Óscar Martínez
anno.png 214 KB 10/28/2021 Óscar Martínez
